﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;

namespace TileViewDataTemplate
{
	/// <summary>
	/// Interaction logic for MainWindow.xaml
	/// </summary>
	public partial class MainWindow : Window
	{
		public MainWindow()
		{
			InitializeComponent();
		}

		private void Button_Click(object sender, RoutedEventArgs e)
		{
			RadTileView1.Items.Clear();
			this.RadTileView1.MaxColumns = 7;
			for (int i = 1; i <= DateTime.DaysInMonth(2010, 11); i++)
			{
				this.RadTileView1.FontSize = 12;
				DataTemplate dt = new DataTemplate();
				if (i % 7 == 0 || (i + 1) % 7 == 0)
				{
					dt = (DataTemplate)this.Resources["boldDay"];
				}
				else
				{
					dt = (DataTemplate)this.Resources["normalDay"];
				}
				RadTileView1.Items.Add(new RadTileViewItem()
				{
					ContentTemplate = dt,
					Header = "November, 2010",
					Content = i
				});
			}
		}
	}
}
